---
parameters:
    # Configuration Memcached for contents
    aes.redis.content_servers: '%env(REDIS_URL)%'
    # Configuration Memcached for sessions
    aes.redis.session_servers: '%env(REDIS_URL)%'
    aes.redis.session_prefix: 'Session_'
    aes.redis.session_expire: 4200

    aes.version.number: 8.0.0#316
    aes.version.numero.doctrine.cache: "%api_platform.version%"
    aes.version.major: 8
    aes.version.minor: 0
    aes.version.patch: 0#316#316#316#316#316#316#316#316#316#316#316#316#316#316#316#316#316#316#316#316#316
    aes.version.build: 
    aes.version.date: "2023-11-20 11:09:17"

    aes.resources_dir: '%kernel.project_dir%/src/Resources'
    aes.export_temporary: '%env(EXPORT_PATH)%'
    aes.upload_temporary: '%env(NFS_UPLOAD_FOLDER)%'

    aes.api.url: '%env(API_URL)%'
    aes.front.url: '%env(FRONT_URL)%'
    aes.x-api-key: '%env(API_KEY)%'

    aes.api.admin_address: '%env(MAILER_ADDRESS)%'

    aes.application.code: '%env(APPLICATION_CODE)%'

    aes.keycloack.realm.url: '%env(REALM_URL)%'
    aes.keycloack.realm.sso.login.url: '%env(REALM_SSO_LOGIN_URL)%'
    aes.keycloack.realm.sso.logout.url: '%env(REALM_SSO_LOGOUT_URL)%'
    aes.keycloack.certificate.path: '%kernel.project_dir%/config/keycloak/public.pem'

    aes.sms.url: '%env(SMS_URL)%'
    aes.sms.apikey: '%env(SMS_APIKEY)%'
    aes.sms.clientId: '%env(SMS_CLIENTID)%'

    aes.config_client.path: "%env(CONFIG_CLIENT_PATH)%"

    aes.mongo.master.url: '%env(MONGO_MASTER_URL)%'
    aes.mongo.master.database: '%env(MONGO_MASTER_DATABASE)%'

    aes.mongo.serveur.url: "%env(MONGO_SERVEUR_URL)%"
    aes.mongo.serveur.port: "%env(MONGO_SERVEUR_PORT)%"

    aes.upload.http.url: "%env(UPLOAD_BUNDLE_HTTP_URL)%"

    aes.vis.ftp.url: "%env(VIS_FTP_URL)%"
    aes.vis.http.url: "%env(VIS_HTTP_URL)%"

    aes.esc.scheme: "%env(ESC_SCHEME)%"
    aes.esc.dns: "%env(ESC_DNS)%"
    aes.esc.port: "%env(ESC_PORT)%"
    aes.esc.name: "%env(ESC_NAME)%"

# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    http_client:
        default_options:
            max_redirects: 7
            verify_host: false
            verify_peer: false
    secret: '%env(APP_SECRET)%'
    #csrf_protection: true
    http_method_override: false

    # Enables session support. Note that the session will ONLY be started if you read or write from it.
    # Remove or comment this section to explicitly disable session support.
    session:
        handler_id: Symfony\Component\HttpFoundation\Session\Storage\Handler\RedisSessionHandler #'%env(REDIS_URL)%'
        cookie_secure: auto
        cookie_samesite: lax
        storage_factory_id: session.storage.factory.native

    serializer:
        enable_annotations: true

    #esi: true
    #fragments: true
    php_errors:
        log: true

when@dev:
    parameters:
        aes.fixtures.uri: '%env(MONGODB_FIXTURES_URI)%'

when@test:
    parameters:
        aes.fixtures.uri: '%env(MONGODB_FIXTURES_URI)%'
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file